{
  "easycom": {
    "autoscan": true,
    "custom": {
      "^u--(.*)": "uview-plus/components/u-$1/u-$1.vue",
      "^up-(.*)": "uview-plus/components/u-$1/u-$1.vue",
      "^u-([^-].*)": "uview-plus/components/u-$1/u-$1.vue"
    }
  },
  "pages": [
    {
      "path": "pages/index/index",
      "style": {
        "navigationBarTitleText": ""
      }
    },
    {
      "path": "pages/redirect/index",
      "style": {
        "navigationBarTitleText": "加载中"
      }
    },
    {
      "path": "pages/redirect/elevator",
      "style": {
        "navigationBarTitleText": "加载中"
      }
    },
    {
      "path": "pages/tabbar/message/index",
      "style": {
        "navigationBarTitleText": "消息"
      }
    },
    {
      "path": "pages/tabbar/work/index",
      "style": {
        "navigationBarTitleText": "工作"
      }
    },
    {
      "path": "pages/tabbar/mine/index",
      "style": {
        "navigationBarTitleText": "我的",
        "navigationStyle": "custom"
      }
    }
  ],
  "subPackages": [
    // 主要页面
    {
      "root": "pages/views",
      "pages": [
        {
          "path": "login/index",
          "style": {
            "navigationBarTitleText": "登录"
          }
        },
        {
          "path": "login/password",
          "style": {
            "navigationBarTitleText": "登录"
          }
        },
        {
          "path": "no-permission/index",
          "style": {
            "navigationBarTitleText": "无权限"
          }
        },
        {
          "path": "web-view/index",
          "style": {
            "navigationBarTitleText": ""
          }
        },
        {
          "path": "test/index",
          "style": {
            "navigationBarTitleText": "测试页面"
          }
        },
        {
          "path": "system-message/index",
          "style": {
            "navigationBarTitleText": "系统消息"
          }
        },
        {
          "path": "elevator-info/index",
          "style": {
            "navigationBarTitleText": "电梯信息"
          }
        },
        {
          "path": "choose-elevator/index",
          "style": {
            "navigationBarTitleText": "选择电梯"
          }
        },
        {
          "path": "choose-worker/index",
          "style": {
            "navigationBarTitleText": "选择协同人员"
          }
        },
        {
          "path": "elevator-data/index",
          "style": {
            "navigationBarTitleText": "电梯资料"
          }
        },
        {
          "path": "basic-info/index",
          "style": {
            "navigationBarTitleText": "电梯资料"
          }
        },
        {
          "path": "basic-info/feedback",
          "style": {
            "navigationBarTitleText": "乘客意见"
          }
        },
        {
          "path": "elevator-rescue/index",
          "style": {
            "navigationBarTitleText": "救援"
          }
        },
        {
          "path": "elevator-rescue/record",
          "style": {
            "navigationBarTitleText": "救援记录"
          }
        },
        {
          "path": "elevator-rescue/detail",
          "style": {
            "navigationBarTitleText": "救援详情"
          }
        },
        {
          "path": "elevator-rescue/create",
          "style": {
            "navigationBarTitleText": "创建救援"
          }
        },
        {
          "path": "elevator-rescue/event-detail",
          "style": {
            "navigationBarTitleText": "事件详情"
          }
        },
        {
          "path": "elevator-rescue/undone-detail",
          "style": {
            "navigationBarTitleText": "处理工作"
          }
        },
        {
          "path": "elevator-rescue/not-started",
          "style": {
            "navigationBarTitleText": "接单"
          }
        },
        {
          "path": "elevator-rescue/user-signature",
          "style": {
            "navigationBarTitleText": "完成"
          }
        },
        {
          "path": "elevator-maintenance/index",
          "style": {
            "navigationBarTitleText": "维保"
          }
        },
        {
          "path": "elevator-maintenance/record",
          "style": {
            "navigationBarTitleText": "维保记录"
          }
        },
        {
          "path": "elevator-maintenance/plan",
          "style": {
            "navigationBarTitleText": "维保计划"
          }
        },
        {
          "path": "elevator-maintenance/create",
          "style": {
            "navigationBarTitleText": "新建维保"
          }
        },
        {
          "path": "elevator-maintenance/detail",
          "style": {
            "navigationBarTitleText": "工作详情"
          }
        },
        {
          "path": "elevator-maintenance/work-sheet",
          "style": {
            "navigationBarTitleText": "工作表"
          }
        },
        {
          "path": "elevator-maintenance/evaluation",
          "style": {
            "navigationBarTitleText": "评价"
          }
        },
        {
          "path": "submit-sheet/index",
          "style": {
            "navigationBarTitleText": "工作表"
          }
        },
        {
          "path": "elevator-maintenance/add-record",
          "style": {
            "navigationBarTitleText": "添加记录"
          }
        },
        {
          "path": "elevator-maintenance/user-signature",
          "style": {
            "navigationBarTitleText": "签名"
          }
        },
        {
          "path": "elevator-maintenance/undone-detail",
          "style": {
            "navigationBarTitleText": "处理工作"
          }
        },
        {
          "path": "elevator-maintenance/not-started",
          "style": {
            "navigationBarTitleText": "接单"
          }
        },
        {
          "path": "elevator-maintenance/state-record",
          "style": {
            "navigationBarTitleText": "工作"
          }
        },
        {
          "path": "elevator-maintain/index",
          "style": {
            "navigationBarTitleText": "维修"
          }
        },
        {
          "path": "elevator-maintain/record",
          "style": {
            "navigationBarTitleText": "维修记录"
          }
        },
        {
          "path": "elevator-maintain/create",
          "style": {
            "navigationBarTitleText": "新建维修"
          }
        },
        {
          "path": "elevator-maintain/not-started",
          "style": {
            "navigationBarTitleText": "接单"
          }
        },
        {
          "path": "elevator-maintain/add-record",
          "style": {
            "navigationBarTitleText": "接单"
          }
        },
        {
          "path": "elevator-maintain/undone-detail",
          "style": {
            "navigationBarTitleText": "处理工作"
          }
        },
        {
          "path": "elevator-maintain/event-detail",
          "style": {
            "navigationBarTitleText": "事件详情"
          }
        },
        {
          "path": "elevator-maintain/user-signature",
          "style": {
            "navigationBarTitleText": "完成"
          }
        },
        {
          "path": "running-status/index",
          "style": {
            "navigationBarTitleText": "运行状态"
          }
        },
        {
          "path": "surveillance-camera/choose",
          "style": {
            "navigationBarTitleText": "选择电梯"
          }
        },
        {
          "path": "surveillance-camera/index",
          "style": {
            "navigationBarTitleText": "监控"
          }
        },
        {
          "path": "check-in/index",
          "style": {
            "navigationBarTitleText": "签到"
          }
        },
        {
          "path": "exceed-limit/annual-inspection",
          "style": {
            "navigationBarTitleText": "年检超期"
          }
        },
        {
          "path": "exceed-limit/elevator-maintenance",
          "style": {
            "navigationBarTitleText": "维保超期"
          }
        },
        {
          "path": "passenger-feedback/index",
          "style": {
            "navigationBarTitleText": "乘客反馈"
          }
        },
        {
          "path": "running-chart/index",
          "style": {
            "navigationBarTitleText": "运行数据"
          }
        },
        {
          "path": "elevator-examine/index",
          "style": {
            "navigationBarTitleText": "电梯体检报告"
          }
        },
        {
          "path": "big-screen/index",
          "style": {
            "navigationBarTitleText": "监控大屏"
          }
        },
        {
          "path": "elevator-examine/detail",
          "style": {
            "navigationBarTitleText": "基本信息"
          }
        },
        {
          "path": "history-info/index",
          "style": {
            "navigationBarTitleText": "历史信息"
          }
        },
        {
          "path": "history-work/index",
          "style": {
            "navigationBarTitleText": "历史工作"
          }
        },
        {
          "path": "inspection-plan/index",
          "style": {
            "navigationBarTitleText": "年检计划"
          }
        },
        {
          "path": "elevator-update/index",
          "style": {
            "navigationBarTitleText": "添加电梯"
          }
        },
        {
          "path": "use-help/index",
          "style": {
            "navigationBarTitleText": "使用帮助"
          }
        },
        {
          "path": "user-setting/index",
          "style": {
            "navigationBarTitleText": "设置"
          }
        },
        {
          "path": "update-password/index",
          "style": {
            "navigationBarTitleText": "设置"
          }
        },
        {
          "path": "user-feedback/index",
          "style": {
            "navigationBarTitleText": "建议反馈"
          }
        },
        {
          "path": "about-app/index",
          "style": {
            "navigationBarTitleText": "关于"
          }
        }
      ]
    },
    // 专家咨询
    {
      "root": "pages/expert",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "",
            "navigationStyle": "custom"
          }
        },
        {
          "path": "order/index",
          "style": {
            "navigationBarTitleText": "咨询订单"
          }
        },
        {
          "path": "mine/index",
          "style": {
            "navigationBarTitleText": "我的"
          }
        },
        {
          "path": "use-help/index",
          "style": {
            "navigationBarTitleText": "使用帮助"
          }
        },
        {
          "path": "order/not-started",
          "style": {
            "navigationBarTitleText": "接单"
          }
        },
        {
          "path": "order/undone-detail",
          "style": {
            "navigationBarTitleText": "处理工作"
          }
        },
        {
          "path": "order/detail",
          "style": {
            "navigationBarTitleText": "详情"
          }
        },
        {
          "path": "apply-order/index",
          "style": {
            "navigationBarTitleText": "专家咨询"
          }
        },
        {
          "path": "apply-order/create",
          "style": {
            "navigationBarTitleText": "新建咨询"
          }
        },
        {
          "path": "apply-order/undone-detail",
          "style": {
            "navigationBarTitleText": "处理工作"
          }
        },
        {
          "path": "apply-order/detail",
          "style": {
            "navigationBarTitleText": "详情"
          }
        }
      ]
    }
  ],
  "tabBar": {
    "color": "#7A7E83",
    "selectedColor": "#1296db",
    "borderStyle": "black",
    "backgroundColor": "#ffffff",
    "list": [
      {
        "pagePath": "pages/tabbar/message/index",
        "iconPath": "static/tabbar/message-default.png",
        "selectedIconPath": "static/tabbar/message-active.png",
        "text": "消息"
      },
      {
        "pagePath": "pages/tabbar/work/index",
        "iconPath": "static/tabbar/work-default.png",
        "selectedIconPath": "static/tabbar/work-active.png",
        "text": "工作"
      },
      {
        "pagePath": "pages/tabbar/mine/index",
        "iconPath": "static/tabbar/mine-default.png",
        "selectedIconPath": "static/tabbar/mine-active.png",
        "text": "我的"
      }
    ]
  },

  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "uni-app",
    "navigationBarBackgroundColor": "#FFFFFF",
    "backgroundColor": "#FFFFFF"
  }
}
